<?php

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=ReporteVentas.xls");
header("Pragma: no-cache");
header("Expires: 0");

include "../conexion.php";
$fechai=$_REQUEST["fechai"];
$fechaf=$_REQUEST["fechaf"];

		if($fechai<>"" && $fechaf<>""){$sqlfecha=" and fecha between '".$fechai."' and '".$fechaf."'";}else{$sqlfecha="";}

		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from venta
									where id>=0
									$sqlfecha");
		   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		  if($contar>=1)
		  {
			 echo "<center> <table width='100%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0' >";
						echo "<tr>";
						echo "<td bgcolor='#E0F096' >#</td>";
						echo "<td bgcolor='#E0F096'>Factura</td>";
						echo "<td bgcolor='#E0F096'>Producto</td>";
						echo "<td bgcolor='#E0F096'>Cod.Barras</td>";
						echo "<td bgcolor='#E0F096'>Nombre</td>";
						echo "<td bgcolor='#E0F096'>Linea/Grupo</td>";
						echo "<td bgcolor='#E0F096'>Cantidad</td>";
						echo "<td bgcolor='#E0F096'>Precio Compra</td>";
						echo "<td bgcolor='#E0F096'>Precio</td>";
						echo "<td bgcolor='#E0F096'>IVA</td>";
						echo "<td bgcolor='#E0F096'>Precio Venta</td>";
						echo "<td bgcolor='#E0F096'>Fecha</td>";
						echo "<td bgcolor='#E0F096'>Estado</td>";
						echo "<td bgcolor='#E0F096'>Tipo Pago</td>";
						echo "<td bgcolor='#E0F096'>Cliente</td>";
						echo "<td bgcolor='#E0F096'>Tipo Pago</td>";
						echo "</tr>";
			  
			     $sql_datospf=mysqli_query($conexion,"SELECT count(*) as contar,linea,grupo from venta,producto
										where venta.id>=0
									    $sqlfecha
										and venta.producto=producto.id
										group by linea,grupo
										order by linea asc");
				$c=1;$sumag=0;$sumapu=0;$sumaput=0;$sumaI=0;$sumaef=0;$sumacr=0;
				 while($datospf= mysqli_fetch_row($sql_datospf))//01
					{
					  $linea=$datospf[1];  $grupo=$datospf[2];
					  
					  $sql_datos=mysqli_query($conexion,"SELECT venta.id,fecha,cantidad,precio,total,factura,venta.producto,venta.estado,venta.tipopago,
					  									venta.efectivo,venta.credito,venta.cliente,venta.iva
					  							 from venta,producto
												where venta.id>=0
												$sqlfecha
												and venta.producto=producto.id
												and producto.linea='".$linea."'
												and producto.grupo='".$grupo."'
												order by fecha asc, id desc");
						$sumat=0;$sumaefectivo=0; $sumacredito=0;
						 while($datos= mysqli_fetch_row($sql_datos))//04
							{
								 $id=$datos[0];
								 $fecha=$datos[1];
								 $cantidad=$datos[2];
								 $precio=$datos[3];
								 $total=$datos[4];
								 $factura=$datos[5];
								 $producto=$datos[6];
								 $estadov=$datos[7];
								 $tipopago=$datos[8];	
								 $efectivo=$datos[9];	
								 $credito=$datos[10];
								 $cliente=$datos[11];	
								 $iva=$datos[12];	
								 
								 $sql_datosrs=mysqli_query($conexion,"SELECT nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
															codigobarra,estado,ubicacion,linea,grupo from producto
															where id='".$producto."'");
								  while($datosrs= mysqli_fetch_row($sql_datosrs))//04
							      {
									 $nombre=$datosrs[0];
									 $descripcion=$datosrs[1];
									 $preciounitario=$datosrs[2];
									 $precioventa=$datosrs[3];
									 $productofamilia=$datosrs[4];
									 $marca=$datosrs[5];
									 //$iva=$datosrs[6];
									 $codigobarra=$datosrs[7];
									 $estado=$datosrs[8];
									 $ubicacion=$datosrs[9];
									 $linea=$datosrs[10];
									 $grupo=$datosrs[11];
									 $ventapro=$cantidad*$preciounitario;	
									 							 
								  }
								 
								 $ncliente="";
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM cliente where id='".$cliente."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ncliente=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
								 
								 
								 if($c%2==0){$color="#EAEAEA";}
								 else {$color="#BFBFBF";}
								 
								
									 $sumaefectivo=$sumaefectivo+$efectivo;
									 $sumacredito=$sumacredito+$credito;
									 
									 $valorprecio=$precio*$cantidad;
									 $valoriva=$iva*$cantidad;
									 $preciototalventa=$valorprecio+$valoriva;
									 
									 if($tipopago=='EF')
									   {$npago="Efectivo";
										$sumaef=$sumaef+$preciototalventa;
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
										$sumacr=$sumacr+$credito;
									   }
									   
									 
									  if($estadov<>"I")
										 {
										   $sumat=$sumat+$preciototalventa;
										   $sumapu=$sumapu+$ventapro;
										   $nestado="Facturado";
										 }
										
										if($estadov=="I")
										 {
										   $sumaI=$sumaI+$total;
										   $nestado="Anulado";
										 }   
									 
								  echo "<tr>";
									  echo "																					
									  <td bgcolor=$color>$c</td>
									  <td bgcolor=$color>$factura</td>
									  <td bgcolor=$color>$producto</td>
									  <td bgcolor=$color>$codigobarra</td>
									  <td bgcolor=$color>$nombre</td>
									  <td bgcolor=$color>$nlinea<br>$ngrupo</td>							  
									  <td bgcolor=$color>$cantidad</td>	
									  <td bgcolor=$color><div align='right'>".number_format($preciounitario,0,',','.')."</div></td>
									  <td bgcolor=$color><div align='right'>".number_format($valorprecio,0,',','.')."</div></td>
									  <td bgcolor=$color><div align='right'>".number_format($valoriva,0,',','.')."</div></td>
									  <td bgcolor=$color><div align='right'>".number_format($preciototalventa,0,',','.')."</div></td>
									  <td bgcolor=$color>$fecha</td>
									  <td bgcolor=$color>$nestado</td>
									  <td bgcolor=$color>$npago</td>
									  <td bgcolor=$color>$ncliente</td>
									  <td bgcolor=$color>$npago</td>
									</tr>";
									$c++;
									
									
									
							} //04
							  echo "<tr >";
									  echo "																					
									  <td colspan=7></td>
									  <td ><div align='right'><font size='4'><strong></strong></font></div></td>
									  <td colspan='2'></td>
									  <td bgcolor='#FFFF99'><div align='right'><font size='4'><strong>".number_format($sumat,0,',','.')."</strong></font></div></td>
									  <td></td>									 
									</tr>";
							$sumag=$sumag+$sumat;	
							$sumaput=$sumaput+$sumapu;
							$sumat=0;	
							$sumapu=0;
								
					}//01				
							 $rs_credito=mysqli_query($conexion,"SELECT sum(valor) FROM credito where fecsis between '".$fechai."' and '".$fechaf."'");							 
							 while($datosrs= mysqli_fetch_row($rs_credito)){ $totalcredito=$datosrs[0];}
							 
							 $totalefectivo=$sumag-$totalcredito;								 
							 $ganacias=$sumag-$sumaput;
							 
							  //verificamos descuentos
							 $rs_descuentos=mysqli_query($conexion,"SELECT sum(descuento) FROM venta_descuento 
							 										where fecha between '".$fechai."' and '".$fechaf."'");							 
							 while($datosrs= mysqli_fetch_row($rs_descuentos)){ $descuentos=$datosrs[0];}
							
							 echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>VENTA TOTAL</div></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumaput,0,',','.')."</strong></font></div></td>
									  <td colspan='2'></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumag,0,',','.')."</strong></font></div></td>
									  <td  colspan=5></td>
									  
									</tr>";
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>GANACIAS TOTAL DE VENTAS</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($ganacias,0,',','.')."</strong></font></div></td>
									  <td  colspan=5></td>									  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>EFECTIVO</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalefectivo,0,',','.')."</strong></font></div></td>
									 <td  colspan=5></td>								  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>CREDITO</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalcredito,0,',','.')."</strong></font></div></td>
									  <td  colspan=5></td>							  
									</tr>";	
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>DESCUENTOS</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($descuentos,0,',','.')."</strong></font></div></td>
									  <td  colspan=5></td>								  
									</tr>";							
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>TOTAL ANULADOS</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($sumaI,0,',','.')."</strong></font></div></td>
									  <td  colspan=5></td>								  
									</tr>";		
									

				 echo "</table></center>";
		   } 

?>
